Apply For Partner
curl --request POST \
--url https://api.example.com/cabinet/referral/partner/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company_name": "<string>",
"website_url": "<string>",
"telegram_channel": "<string>",
"description": "<string>",
"expected_monthly_referrals": 1000000000,
"desired_commission_percent": 50
}
'import requests
url = "https://api.example.com/cabinet/referral/partner/apply"
payload = {
"company_name": "<string>",
"website_url": "<string>",
"telegram_channel": "<string>",
"description": "<string>",
"expected_monthly_referrals": 1000000000,
"desired_commission_percent": 50
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
company_name: '<string>',
website_url: '<string>',
telegram_channel: '<string>',
description: '<string>',
expected_monthly_referrals: 1000000000,
desired_commission_percent: 50
})
};
fetch('https://api.example.com/cabinet/referral/partner/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"website_url": "<string>",
"telegram_channel": "<string>",
"description": "<string>",
"expected_monthly_referrals": 123,
"desired_commission_percent": 123,
"admin_comment": "<string>",
"approved_commission_percent": 123,
"processed_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Partner
Apply For Partner
Submit partner application.
POST
/
cabinet
/
referral
/
partner
/
apply
Apply For Partner
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to apply for partner status.
Maximum string length:
255Maximum string length:
500Maximum string length:
255Maximum string length:
2000Required range:
0 <= x <= 2000000000Required range:
1 <= x <= 100Response
Successful Response
Application info for the user.
⌘I
